org.hibernate.search.engine.metadata.impl

## Class EmbeddedTypeMetadata.Builder

- java.lang.Object
- - org.hibernate.search.engine.metadata.impl.TypeMetadata.Builder
  - - org.hibernate.search.engine.metadata.impl.EmbeddedTypeMetadata.Builder

- Enclosing class:
    EmbeddedTypeMetadata

      public static class EmbeddedTypeMetadata.Builder
      extends TypeMetadata.Builder

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.engine.metadata.impl.TypeMetadata.Builder

      `resultReference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(TypeMetadata.Builder parentTypeBuilder, IndexedTypeIdentifier indexedType, BackReference<PropertyMetadata> sourceProperty, org.hibernate.annotations.common.reflection.XMember embeddedGetter, String embeddedFieldPrefix)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EmbeddedTypeMetadata` | `build()`
    `EmbeddedTypeMetadata.Container` | `getEmbeddedContainerType()`
    `EmbeddedTypeMetadata.Builder` | `indexNullToken(String embeddedNullToken, String embeddedNullFieldName, FieldBridge embeddedNullFieldBridge)`

    - ### Methods inherited from class org.hibernate.search.engine.metadata.impl.TypeMetadata.Builder

      `addClassBridgeField, addClassBridgeSortableFields, addCollectionRole, addContainedIn, addEmbeddedType, addProperty, addToScopedAnalyzerReference, analyzerDiscriminator, analyzerReference, areClassBridgesUsed, blacklistForOptimization, boost, boostStrategy, disableStateInspectionOptimization, getAnalyzerReference, getClassBoostStrategy, getIdPropertyMetadata, getIndexedType, getResultReference, getScopedAnalyzerReferenceBuilder, idProperty, isStateInspectionOptimizationsEnabled, jpaProperty, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(TypeMetadata.Builder parentTypeBuilder,
                         IndexedTypeIdentifier indexedType,
                         BackReference<PropertyMetadata> sourceProperty,
                         org.hibernate.annotations.common.reflection.XMember embeddedGetter,
                         String embeddedFieldPrefix)

  - ### Method Detail

    - #### indexNullToken

          public EmbeddedTypeMetadata.Builder indexNullToken(String embeddedNullToken,
                                                             String embeddedNullFieldName,
                                                             FieldBridge embeddedNullFieldBridge)

    - #### getEmbeddedContainerType

          public EmbeddedTypeMetadata.Container getEmbeddedContainerType()

    - #### build

          public EmbeddedTypeMetadata build()

      Overrides:
        `build` in class `TypeMetadata.Builder`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved